Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
alibaba_regions = client.cdn.list_alibaba_regions()
print(alibaba_regions)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
alibabaRegions, err := client.CDN.ListAlibabaRegions(context.TODO(), cdn.CDNListAlibabaRegionsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", alibabaRegions)
}
curl --request GET \
--url https://api.gcore.com/cdn/alibaba_regions \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/alibaba_regions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"code": "cn-hangzhou",
"name": "China (Hangzhou)"
},
{
"id": 2,
"code": "cn-shanghai",
"name": "China (Shanghai)"
}
]Logs uploader
Get Alibaba regions list
Get the list of Alibaba Cloud regions.
GET
/
cdn
/
alibaba_regions
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
alibaba_regions = client.cdn.list_alibaba_regions()
print(alibaba_regions)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
alibabaRegions, err := client.CDN.ListAlibabaRegions(context.TODO(), cdn.CDNListAlibabaRegionsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", alibabaRegions)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Maximum number of items to return in the response. Cannot exceed 1000.
Required range:
1 <= x <= 1000Number of items to skip from the beginning of the list.
Required range:
x >= 0Was this page helpful?
⌘I